class Complex {
	
	private int real;
	private int imaginario;
	
	public Complex(int r, int i) {
		this.real = r;
		this.imaginario = i;
	}
	
	public Complex(int r) {
		this.real = r;
		this.imaginario = 0;
	}
	
	public Complex() {
		this.real = 0;
		this.imaginario = 0;
	}
	
	public int getReal() {
		return this.real;
	}
	
	public int getImaginario() {
		return this.imaginario;
	}
	
	public String printOut() {
		return this.real + "+" + this.imaginario + "i";
	}
	
	public void setReal(int r) {
		this.real = r;
	}
	
	public void setImaginario(int i) {
		this.imaginario = i;
	}
	
	public Complex suma(Complex c) {
		int sumaReal = this.real + c.getReal();
		int sumaImaginaria = this.imaginario + c.getImaginario();
		return new Complex(sumaReal, sumaImaginaria);
	}
	
	public Complex resta(Complex c) {
		int restaReal = this.real - c.getReal();
		int restaImaginaria = this.imaginario - c.getImaginario();
		return new Complex(restaReal, restaImaginaria);
	}
	
	public Complex conjugado() {
		Complex conj = new Complex(this.getReal(),this.getImaginario() * -1);
		return conj;
	}
	
	public static void main(String[] args) {
		Console c = new Console();
		Complex c1 = new Complex(5,6);
		Complex c2 = new Complex(4);
		Complex suma = c1.suma(c2);
		c.println(c1.printOut() + " + " + c2.printOut() + " = " + suma.printOut());
		Complex resta = c1.resta(c2);
		c.println(c1.printOut() + " - " + c2.printOut() + " = " + resta.printOut());
		Complex conj = c1.conjugado();
		c.println("Conjugado de " + c1.printOut() + " = " + conj.printOut());
	}
}